Commet
  • Pricing
Log InTry out
Create API key POSTDelete API key DELETEList API keys GET
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List API keys

List API keys with cursor-based pagination. Keys are returned without the full secret.

GET
/api-keys

List API keys with cursor-based pagination. Keys are returned without the full secret.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api-keys"
{  "success": true,  "data": [    {      "id": "string",      "name": "string",      "prefix": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "object": "api_key",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Delete API key DELETE

Permanently revoke and delete an API key.

Create credit pack POST

Create a new credit pack.